require "player"

function love.load()
	player()
	
	ex_x = 300 -- The x-coordinate of the white rectangle
	ex_y = 300 -- The y-coordinate of the white rectangle
end

function love.update(dt)

	player_movement(dt)
end

function love.draw()
	love.graphics.draw(player_mob, player_x, player_y)

	love.graphics.rectangle("fill", ex_x, ex_y, 25, 25) -- Draws the rectangle at the coordinates set above
	
	if CheckCollision(player_x, player_y, 25, 25, ex_x, ex_y, 25, 25) then -- Checks if player and the white rectangle are colliding, if that true -> Print "Ouch!"
		love.graphics.print("Ouch!", 10, 10)
	end
	
end

-- Collision detection function.
-- Checks if box1 and box2 overlap.
function CheckCollision(box1x, box1y, box1w, box1h, box2x, box2y, box2w, box2h)
    if box1x > box2x + box2w - 1 or -- Is box1 on the right side of box2?
       box1y > box2y + box2h - 1 or -- Is box1 under box2?
       box2x > box1x + box1w - 1 or -- Is box2 on the right side of box1?
       box2y > box1y + box1h - 1    -- Is b2 under b1?
    then
        return false                -- No collision. Yay!
    else
        return true                 -- Yes collision. Ouch!
    end
end


--[[

Copied from http://www.headchant.com

Parameters of the function:

box1x = x-coordinate of the first object
box1y = y-coordinate of the first object
box1w = width of the first object, in this case you can set easily the width of your player image (25)
box1h = height of the first object, in this case you can set easily the height of your player image (25)

box2x = x-coordinate of the second object
box2y = y-coordinate of the second object
box2w = width of the second object, in this case 25
box2h = height of the second object, in this case also 25

]]--

